# Model-exporter plugin (PHP7)
 
## Installation

1. Composer install

    ```bash
    $ composer install
    ```
2. Generate yaml file:

     ```bash
     $ php ./bin/phpmodel --pathFile="pathToModelFile" --pathDir="pathToModelsDir" --saveDir="pathToSaveDir"
     ```
   1. **--pathFile** - should include specify the full path to the file (../doctrine/models/generated/BaseUser.php) 
   2. **--pathDir** - should include specify the full path to the folder with models files (../doctrine/models/generated/)
   3. **--saveDir** - not required parameter, if missing output file will be save in default directory of plugin (../schemas/schema.yaml)
   
   ``Node: should use only one option from both **--pathFile** or **--pathDir**``
   
3. Run PHPUnit tests

     ```bash
     $ ./vendor/bin/phpunit tests
     ```