<?php
declare(strict_types=1);

namespace Tests;

use ModelExporter\Command;
use PHPUnit\Framework\TestCase;
use Tests\Helpers\TestHelpers;

class CommandTest extends TestCase
{
    use TestHelpers;

    public function testRun()
    {
        $command = new Command();

        $filePath = $this->getFilePath('BaseUserProfile.php');

        $argv = [
            0 => './bin/phpmodel',
            1 => '--pathFile=' . $filePath
        ];
        $result = $command->run($argv);
        $this->assertEquals(true, $result);
    }
}
